@import url("https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css");

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap");

body {
  font-family: "Poppins", sans-serif;
  font-size: x-small;
  background-color: #1e1e1e;
  font-weight: 100;
}

html {
  scroll-behavior: smooth;
}

.navbar {
  background: rgba(255, 255, 255, 0.5);
  backdrop-filter: blur(5px);
}

.bg-trans {
  background-color: transparent;
}

.intro-height {
  height: 50vh;
}

.mt-header {
  margin-top: 20%;
  font-size: 70px;
}

.header p {
  font-size: 19px;
}

.top_link {
  font-size: 13px;
}

.text-pink {
  color: pink;
}

.h7 {
  font-size: 14.5px;
  font-weight: 100;
}

.circle1 {
  width: 300px;
  height: 300px;
  border-radius: 500px;
  display: inline-block;
  position: absolute;
  filter: blur(300px);
  background-color: #3e1bc9;
}

.circle2 {
  width: 300px;
  height: 300px;
  background-color: #f05340;
  border-radius: 500px;
  display: inline-block;
  position: absolute;
  bottom: 40px;
  left: 390px;
  filter: blur(300px);
}

.accounts a {
  text-decoration: none;
  font-size: 20px;
}

.accounts a:hover {
  text-decoration: underline;
  font-weight: bold;
}

.drag {
  position: relative;
  top: -4px;
}

.selected-title {
  margin-top: 60px;
  margin-bottom: 80px;
}

.project-tags {
  background-color: transparent;
  width: fit-content;
}

.tags {
  display: inline-block;
  color: white;
  background: rgba(255, 255, 255, 0.1);
  border-radius: 50px;
  justify-content: center;
  align-items: center;
  padding: 8px 17px;
  position: relative;
  right: 2px;
}

.details-btn {
  background-color: #fff;
  color: #000;
  border-radius: 6px;
  font-weight: bold;
  font-size: larger;
  padding: 10px 30px 10px 30px;
  border: 1px solid #fff;
  justify-content: center;
  transition: 0.2s ease-in-out;
}

.details-btn:hover {
  background-color: transparent;
  color: white;
  border: 1px solid #fff;
}

/* back to top button */

#back-to-top {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 40px; /* Adjust the size as needed */
  height: 40px; /* Adjust the size as needed */
  background-color: #333;
  color: #fff;
  border: none;
  border-radius: 50%; /* Makes the button rounded */
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

#back-to-top svg {
  fill: #fff;
  width: 24px; /* Adjust the size of the arrow icon */
  height: 24px; /* Adjust the size of the arrow icon */
}

#back-to-top:hover {
  background-color: #555;
}

/* Preloader style */
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
}

#loader {
  border: 8px solid #f3f3f3;
  border-top: 8px solid #1e1e1e;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* Scroll bar */

/* For webkit-based browsers (Chrome, Safari) */
::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  background-color: #1e1e1e; /* Set the background color of the track */
}

::-webkit-scrollbar-thumb {
  background-color: #888; /* Set the color of the thumb */
  border-radius: 10px;
}

@-moz-document url-prefix() {
  scrollbar {
    width: 5px;
  }

  scrollbar-track {
    background-color: #1e1e1e; /* Set the background color of the track */
  }

  scrollbar-thumb {
    background-color: #888; /* Set the color of the thumb */
  }
}

.contact-inp {
  background: rgba(255, 255, 255, 0.03);
  border-radius: 5px;
  opacity: 50%;
  width: 100%;
  padding: 15px;
  border: none;
  color: #fff;
  font-size: 17px;
  outline: none;
}

.contact-inp:focus {
  outline: none;
}

.sub-btn {
  outline: none;
  border: none;
  width: 100%;
  height: 45px;
  font-size: larger;
  font-weight: bold;
  background-color: #fff;
}

.sub-btn {
  outline: none;
}

.und {
  text-decoration: underline;
}

/* overlays */
.image-container {
  position: relative;
  display: inline-block;
}

.text-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  background-color: rgba(
    0,
    0,
    0,
    0.7
  ); /* Adjust the background color and opacity as needed */
  color: #fff; /* Adjust the text color as needed */
  display: flex;
  align-items: center;
  justify-content: center;
  transition: opacity 0.3s ease;
}

.image-container:hover .text-overlay {
  opacity: 1;
}

.text-overlay a {
  text-align: center;
  font-size: 18px;
  padding: 10px;
}

.dis-btn {
  background-color: transparent;
  border: none;
  font-size: x-large;
}

.dis-btn:hover {
  color: red;
}

iframe {
  transition: 0.2s ease-in-out;
}
iframe::-webkit-scrollbar {
  display: none;
}

iframe:hover {
  filter: brightness(80%);
}

@media screen and (max-width: 720px) {
  .details-btn {
    margin-top: 10px;
    margin-bottom: 10px;
  }

  .other {
    margin-top: 50px;
  }

  .down {
    margin-top: 10px;
  }
}
